%define module_name Moove
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/OptList.pm) perl(Function/Parameters.pm) perl(Import/Into.pm) perl(Module/Build.pm) perl(Pod/Coverage/TrustPod.pm) perl(Syntax/Feature/Try.pm) perl(Test/CPAN/Changes.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Type/Library.pm) perl(Type/Registry.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(constant.pm) perl(strictures.pm) perl(syntax.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: functions and methods with parameter lists and type constraints
Group: Development/Perl
License: open_source
URL: https://github.com/zurborg/libmoove-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZU/ZURBORG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module inherits the Function::Parameters manpage with some defaults and type constraints with the Type::Tiny manpage.

Some reasons to use Moove:

=over 4

=item * No the Moose manpage dependency

=item * No the Devel::Declare manpage dependency

=item * A nearly replacement for the Method::Signatures manpage

But with some differences...

=back

This is also a very early release.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE CONTRIBUTORS
%perl_vendor_privlib/M*

%changelog
* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- regenerated from template by package builder

* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

